Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 349052 - Stabilize =sys-auth/consolekit-0.4.3
Summary: Stabilize =sys-auth/consolekit-0.4.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 348540 348542 CVE-2010-4352
Blocks: 349053
  Show dependency tree
 
Reported: 2010-12-19 03:49 UTC by Samuli Suominen
Modified: 2011-01-13 15:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2010-12-19 03:49:17 UTC
Pretty much same as 0.4.2-r4, but with bugfixes for couple of regressions
Comment 1 Samuli Suominen gentoo-dev 2010-12-19 04:55:00 UTC
ppc64 stable
Comment 2 Myckel Habets 2010-12-19 09:51:27 UTC
Builds and runs fine on x86. Please mark stable for x86.
Comment 3 David Abbott gentoo-dev 2010-12-19 14:44:16 UTC
Yep, tested on x86 all good here.
Comment 4 Agostino Sarubbo gentoo-dev 2010-12-19 20:09:07 UTC
amd64 ok
Comment 5 Alex Buell 2010-12-21 22:29:59 UTC
Testing on SPARC, turns out libtool is trying to link against dbus-glib-1.la (upgraded to dbus-glib 0.88 as part of testing) files and not finding them. FAIL. 
Comment 6 Alex Buell 2010-12-21 22:37:20 UTC
The problems with *.la was quickly fixed with a lafilefixer --justfixit, all is now well, Tests passed. 
Comment 7 Samuli Suominen gentoo-dev 2010-12-22 13:37:01 UTC
amd64/x86 stable (thanks for testing guys)
Comment 8 Thomas Jäger 2010-12-22 19:11:05 UTC
Build on amd64, failed  (using dbus-glib-0.88)

  CCLD   console-kit-daemon
libtool: link: cannot find the library `/usr/lib64/libdbus-glib-1.la' or unhandled argument `/usr/lib64/libdbus-glib-1.la'
make[4]: *** [test-tty-idle-monitor] Error 1
make[4]: *** Waiting for unfinished jobs....
libtool: link: cannot find the library `/usr/lib64/libdbus-glib-1.la' or unhandled argument `/usr/lib64/libdbus-glib-1.la'
libtool: link: cannot find the library `/usr/lib64/libdbus-glib-1.la' or unhandled argument `/usr/lib64/libdbus-glib-1.la'
make[4]: *** [test-event-logger] Error 1
make[4]: *** [test-vt-monitor] Error 1
libtool: link: cannot find the library `/usr/lib64/libdbus-glib-1.la' or unhandled argument `/usr/lib64/libdbus-glib-1.la'
Comment 9 Pacho Ramos gentoo-dev 2010-12-22 19:12:31 UTC
You probably didn't run "lafilefixer --justfixit" after dbus/dbus-glib update
Comment 10 Thomas Jäger 2010-12-23 07:35:56 UTC
after running lafilefixer it works fine
 (but there is no message that a lafilefixer run is needed after installing dbus-glib)

Comment 11 Markus Meier gentoo-dev 2010-12-27 12:46:25 UTC
arm stable
Comment 12 Raúl Porcel (RETIRED) gentoo-dev 2011-01-08 12:46:34 UTC
alpha/ia64/sh/sparc stable
Comment 13 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-01-11 12:26:44 UTC
ppc stable
Comment 14 Jeroen Roovers (RETIRED) gentoo-dev 2011-01-13 15:26:45 UTC
Stable for HPPA and closing.